Subject: Re: IMSL and cygwin
From: Ruprecht Machleidt <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 31 Mar 2007 10:44:37 -0700
List-Id: <cygwin.cygwin.com>

From Absoft, I have bought the (compiled) Fortran77 IMSL
for Intel architecture and LINUX Release 2.0 or higher
("libimsl.a").

But I do not know how to make this package work on cygwin. 
If I include the libimsl.a in a standard g77 statement, like,

g77 -o xxx program.f libimsl.a

(with the libimsl.a file residing in the same
directory as program.f, for simplicity)
it doesn'i find the IMSL subroutines
called in program.f

Any idea what to do?

Thanks,

Rup 

--------------------------------------------------------------------
Ruprecht  `Rupert'  Machleidt
Department of Physics                             Phone: 208-885-6380
Engineering Physics Building 327                   FAX: 208-885-4055
University of Idaho                                [email-masked]
Moscow, ID 83844-0903
U. S. A.
http://www.phys.uidaho.edu/machleidt
--------------------------------------------------------------------

----- Original Message -----
From: Tim Prince <[email-masked]>
Date: Friday, March 30, 2007 6:17 pm
Subject: Re: IMSL and cygwin
To: [email-masked]

> [email-masked] wrote:
> > Is there anybody out there who has tried to use the 
> > Fortran77 IMSL (International Math and Stat Library
> > of Fortran77 routines) on cygwin?
> > 
> > The problem with the IMSL is that it is sold only in compiled
> > form (by Visual Numerics and by Absoft). They don't sell
> > the sourse codes. If one could get a hand on the source codes,
> > the problem would be solved, since one could then simply recompile
> > all codes with the g77 compiler on cygwin.
> > 
> 
> > Any advice is appreciate.
> You must already know your choices: choose open software which 
> does the 
> job for you, or buy one of the Fortran/IMSL packages, such as 
> Intel 
> (Windows only) or Absoft.  Trying to violate the IMSL license in 
> one way 
> or another is not worth it.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/